partial upgrade to oneiric (to keep bzr-svn installed) bails with bzr bd -S

Bug #803362 reported by Steve Langasek
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bzr (Ubuntu)
High
Jelmer Vernooij

Bug Description

Doing a partial upgrade to oneiric (because bzr-svn is not yet uploaded for the latest bzr), trying to use bzr-builddeb gives errors:

$ bzr bd -S
bzr: WARNING: bzrlib version doesn't match the bzr program.
This may indicate an installation problem.
bzrlib from ['/usr/lib/python2.7/dist-packages/bzrlib'] is version (2, 4, 0, 'beta', 4)
Building using working tree
bzr: ERROR: The API for "<module 'bzrlib' from '/usr/lib/python2.7/dist-packages/bzrlib/__init__.pyc'>" is not compatible with "(2, 3, 0)". It supports versions "(2, 4, 0)" to "(2, 4, 0)".
$

Packages installed:
$ dpkg -l '*bzr*'|grep ^ii
ii bzr-builddeb 2.7.4ubuntu1 bzr plugin for Debian package management
ii bzr-dbus 0.1~bzr49-2 D-Bus announcements plugin for Bazaar
ii bzr-email 0.0.1~bzr49-2 Notification email plugin for Bazaar
ii bzr-git 0.6.1+bzr1279-1 Bazaar plugin providing Git integration
ii bzr-gtk 0.100.0+bzr731-1 provides graphical interfaces to Bazaar (bzr) version control
ii bzr-rebase 0.6.1+bzr227-1 transitional dummy package for bzr-rewrite
ii bzr-rewrite 0.6.2-4 History rewriting plugin for Bazaar
ii bzr-svn 1.0.4+bzr3475-1 Bazaar plugin providing Subversion integration
ii bzrtools 2.3.1-1 Collection of tools for bzr
ii python-bzrlib 2.4.0~beta4-4ubuntu2 distributed version control system - python library
$

If I remove bzr-svn, the problem goes away. If I upgrade bzr (which removes bzr-svn anyway), the problem also goes away.

The package dependencies should prevent the system from getting into a state where there are incompatible bits installed together like this.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: bzr 2.3.1-1ubuntu1
ProcVersionSignature: Ubuntu 3.0-1.2-generic 3.0.0-rc3
Uname: Linux 3.0-1-generic x86_64
Architecture: amd64
Date: Wed Jun 29 10:03:39 2011
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: bzr
UpgradeStatus: Upgraded to oneiric on 2011-06-27 (2 days ago)

Related branches

Revision history for this message
Steve Langasek (vorlon) wrote :
Jelmer Vernooij (jelmer)
Changed in bzr (Ubuntu):
status: New → Triaged
importance: Undecided → High
Jelmer Vernooij (jelmer)
Changed in bzr (Ubuntu):
status: Triaged → Fix Released
assignee: nobody → Jelmer Vernooij (jelmer)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers